Description

Would it be possible to have the bean triggering a callback function when a title header is clicked?
Preferable the callback function receives a column number.

History

#1 - 05/16/2012 08:43 PM - Imre Tokai
- File servoy-treeview.jar added
Hi,

Try attached version, please
Need to extend Servoy solution in 2 places:

1. init

elements.treeview.onHeaderClick( onHeaderClick )

2. invoked function

@/** * @param * node * @param {Number} colindex index of the column clicked in the header * *
properties={typeid:24,uuid:"CEB11B55-C167-4DF2-A7D8-2EBBCE29463D"}

*/

function onHeaderClick( node, collndex ){

application.output('Column index: '+collndex)

}

Let us know how things are going
Regards

#2 - 05/16/2012 08:46 PM - Imre Tokai

- Status changed from New to In Progress

#3 - 05/18/2012 01:50 PM - Marc Boegem

- Assignee set to Imre Tokai

Hi Imre,

This new function does exactly what | meant it to do. Thnkx!

There's only 1 thing: the attached version doesn't seem to be fully Servoy aware anymore, as a result | get warnings on all the bean functions.
But... it is loaded in Serclipse and | see it as an element on my form. (This was an existing reference to the beanclass used by the previous version)

Further more: the 'node' parameter doesn't seem to contain anything.

#4 - 05/18/2012 08:52 PM - Imre Tokai

- File servoy-treeview.jar added

Test attached, please
Let us know how things are going

Regards
#5 - 05/22/2012 11:41 AM - Marc Boegem

This version solved the problems of the previous.

Just curious: what is the reason the headerclick passes the node id?
This is currently always the first node

#6 - 12/30/2013 05:36 PM - Imre Tokai

- Status changed from In Progress to Resolved

Feature should be available in servoy-treeview-experimental.jar
If further work is needed, reopen/create case, please

Regards

Files

servoy-treeview.jar 105 KB 05/16/2012 Imre Tokai

servoy-treeview.jar 117 KB 05/18/2012 Imre Tokai
